ros-rolling-ur-description (2.2.4-1jammy) jammy; urgency=high

  * Add UR30 model (#126 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/126>)
  * Contributors: Felix Exner (fexner)

 -- Felix Exner <exner@fzi.de>  Fri, 22 Dec 2023 00:00:00 -0000

ros-rolling-ur-description (2.2.3-1jammy) jammy; urgency=high

  * Auto-update pre-commit hooks (#123 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/123>)
  * Bump actions/setup-python from 4 to 5 (#122 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/122>)
  * Remove ros2_control tag from package (#114 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/114>)
  * Contributors: Felix Exner

 -- Felix Exner <exner@fzi.de>  Mon, 18 Dec 2023 00:00:00 -0000

ros-rolling-ur-description (2.2.2-1jammy) jammy; urgency=high

  * Default to non_blocking_read=true (#111 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/pull/111>)
  * Add license comment to package.xml (#107 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/107>)
  * License update for README (#108 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/108>)
  * added possibility to change reverse_port, script_sender_port and trajectory_port (#105 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/105>)
  * Contributors: Felix Durchdewald, Felix Exner, Rune Søe-Knudsen, dependabot[bot], github-actions[bot]

 -- Felix Exner <exner@fzi.de>  Wed, 15 Nov 2023 00:00:00 -0000

ros-rolling-ur-description (2.2.1-1jammy) jammy; urgency=high

  * Update the joint limits for UR20 (#98 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/98>)
  * UR20 description and meshes (#94 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/94>)
    The UR20 meshes are added under Universal Robots A/S’
    Terms and Conditions for Use of Graphical Documentation
  * Contributors: Rune Søe-Knudsen, Felix Exner

 -- Felix Exner <exner@fzi.de>  Fri, 08 Sep 2023 00:00:00 -0000

ros-rolling-ur-description (2.2.0-1jammy) jammy; urgency=high

  * Auto-update pre-commit hooks
  * Do not require upstream ws in ici
  * Auto-update pre-commit hooks (#88 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/88>)
  * Bump ros-tooling/setup-ros from 0.2 to 0.7 (#83 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/83>)
  * Bump pat-s/always-upload-cache from 2.1.5 to 3.0.11 (#84 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/84>)
  * Bump actions/checkout from 1 to 3 (#85 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/85>)
  * Update README regarding distribution branches (#80 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/80>)
  * Add mergify, dependabot and pre-commit update
  * Switch fake to mock for ros2_control updates (#77 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/77>)
  * Add iron workflow (#64 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/64>)
  * Contributors: Felix Exner, Sebastian Castro, dependabot[bot], github-actions[bot]

 -- Felix Exner <exner@fzi.de>  Mon, 28 Aug 2023 00:00:00 -0000

ros-rolling-ur-description (2.1.0-1jammy) jammy; urgency=high

  * added missing handback interface - ros2control mock interface won't work otherwise (#68 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/68>)
    Co-authored-by: Lennart Nachtigall <mailto:lennart.nachtigall@sci-mo.de>
  * remove ticks from tf_prefix (#60 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/60>)
    Co-authored-by: Lennart Nachtigall <mailto:lennart.nachtigall@sci-mo.de>
  * Replace duplicated ``prefix`` parameter with ``tf_prefix``
  * Whitespace fixes
  * Update pre-commit workflows to current versions
  * This commits adds additional configuration fields which are needed for multiarm support: (#47 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/47>)
    - Added trajectory_port        - Port needed for the trajectory sending interface
    - Added non_blocking_read      - Takes control of the update rate from ur interface by immediately returning from the read method
    - Added keep_alive_count field - Configures the amount of allowed reading timeouts on the robot side
    Additionally it adds the ${prefix} argument for the gpios and the force torque sensor in the ur.ros2_control.xacro file
    Co-authored-by: Lennart Nachtigall <mailto:firesurfer@firesurfer.de>
  * Set the default tool voltage in the description to 0 (#41 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/41>)
    I am not sure whether this will actually affect something, as I don't think
    we actually set the value initially, but it still makes sense to keep the
    default tool voltage at 0 to emphasize that by default, this will not be
    set higher.
  * Run prerelease tests on current distros (#44 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/44>)
  * Contributors: Felix Exner, Felix Exner (fexner), Lennart Nachtigall

 -- Felix Exner <exner@fzi.de>  Thu, 01 Jun 2023 00:00:00 -0000

ros-rolling-ur-description (2.0.1-1jammy) jammy; urgency=high

  * Add tool voltage and zero ft sensor to command interface (#38 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/38>)
    Added reverse ip and script command interface port as parameters
  * use xacro.load_yaml in favor of deprecated version (#43 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/43>)
    Co-authored-by: aditya <mailto:aditya@nimble.ai>
  * Use mock_components instead of fake_components (#37 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/37>)
    This has been renamed in ros2_control hardware_interface.
  * Prepare for branching out galactic (#39 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Description/issues/39>)
    * Add Humble to README and workflows
    * Use galactic branch for galactic stuff
  * Contributors: Abishalini Sivaraman, Aditya Agarwal, Felix Exner, Mads Holm Peters

 -- Felix Exner <exner@fzi.de>  Tue, 08 Nov 2022 00:00:00 -0000

ros-rolling-ur-description (2.0.0-1jammy) jammy; urgency=high

  * Migrated the description to ROS2
  * Added support for Gazebo and Ignition
  * Added ROS2_control definitions
  * Contributors: AndyZe, Denis Stogl, Denis Štogl, Felix Exner, John Morris, Jorge Nicho, Lovro, Lukas Sackewitz, Marvin Große Besselmann, Robert Wilbrandt, Tirine, Vatan Aksoy Tezer, livanov93, urmahp

 -- Felix Exner <exner@fzi.de>  Thu, 17 Mar 2022 00:00:00 -0000

ros-rolling-ur-description (1.2.7-1jammy) jammy; urgency=high



 -- Felix Exner <exner@fzi.de>  Sat, 23 Nov 2019 00:00:00 -0000

ros-rolling-ur-description (1.2.6-1jammy) jammy; urgency=high

  * Add optional safety_controller tags to all joints in xacro macros (#437 <https://github.com/ros-industrial/universal_robot/issues/437>)
  * Migrated all package.xml files to format=2 (#439 <https://github.com/ros-industrial/universal_robot/issues/439>)
  * Corrected dimensions and positions of inertias (#426 <https://github.com/ros-industrial/universal_robot/issues/426>)
  * Add description view launch files for all descriptions to easily check them (#435 <https://github.com/ros-industrial/universal_robot/issues/435>)
  * Contributors: Felix Mauch, JeremyZoss, Miguel Prada, Qiang Qiu, gavanderhoorn

 -- Felix Exner <exner@fzi.de>  Tue, 19 Nov 2019 00:00:00 -0000

ros-rolling-ur-description (1.2.5-1jammy) jammy; urgency=high

  * Add transmission_hw_interface to UR xacro and expose everywhere (#392 <https://github.com/ros-industrial/universal_robot/issues/392>)
  * Update maintainer listing: add Miguel (#410 <https://github.com/ros-industrial/universal_robot/issues/410>)
  * Updated xacro namespace.
  * Update maintainer and author information.
  * Updated mesh ambience so the model isn't so dark in Gazebo
  * Fix overlapping variable names between robot definition files (#356 <https://github.com/ros-industrial/universal_robot/issues/356>)
  * Improve meshes shading (#233 <https://github.com/ros-industrial/universal_robot/issues/233>)
  * Added run_depend for xacro
  * Using the 'doc' attribute on 'arg' elements.
  * Enable self collision in gazebo
  * Contributors: Dave Niewinski, Felix von Drigalski, Harsh Deshpande, Joe, Marcel Schnirring, Miguel Prada, MonteroJJ, ipa-fxm

 -- Felix Exner <exner@fzi.de>  Fri, 05 Apr 2019 00:00:00 -0000

ros-rolling-ur-description (1.2.1-1jammy) jammy; urgency=high

  * Merge pull request #329 <https://github.com//ros-industrial/universal_robot/issues/329> from tecnalia-medical-robotics/joint_limits
    Homogenize xacro macro arguments.
  * Merge pull request #332 <https://github.com//ros-industrial/universal_robot/issues/332> from davetcoleman/kinetic_hw_iface_warning
    Remove UR3 ROS Control Hardware Interface warning
  * Remove UR3 ROS Control Hardware Interface warning
  * Extend changes to '_robot.urdf.xacro' variants as well.
  * Homogenize xacro macro arguments.
    Joint limits for the limited version could be set using arguments for the UR10
    but not for the UR3 and UR5. Same lower and upper limit arguments are added to
    the UR3 and UR5 xacro macros.
  * Fix elbow joint limits (#268 <https://github.com//ros-industrial/universal_robot/issues/268>)
  * Remove warning 'redefining global property: pi' (Jade+) (#315 <https://github.com//ros-industrial/universal_robot/issues/315>)
  * Contributors: Beatriz Leon, Dave Coleman, Felix Messmer, Miguel Prada

 -- Felix Exner <exner@fzi.de>  Sat, 06 Jan 2018 00:00:00 -0000

ros-rolling-ur-description (1.2.0-1jammy) jammy; urgency=high



 -- Felix Exner <exner@fzi.de>  Fri, 04 Aug 2017 00:00:00 -0000

ros-rolling-ur-description (1.1.9-1jammy) jammy; urgency=high

  * reintroduce 'pi', unbrake dependent xacros.
  * use '--inorder' to trigger use of jade+ xacro on Indigo.
  * Contributors: gavanderhoorn

 -- Felix Exner <exner@fzi.de>  Mon, 02 Jan 2017 00:00:00 -0000

ros-rolling-ur-description (1.1.8-1jammy) jammy; urgency=high

  * all: update maintainers.
  * Contributors: gavanderhoorn

 -- Felix Exner <exner@fzi.de>  Fri, 30 Dec 2016 00:00:00 -0000

ros-rolling-ur-description (1.1.7-1jammy) jammy; urgency=high

  * Fix xacro warnings in Jade (#251 <https://github.com/ros-industrial/universal_robot/issues/251>)
  * added default values to xacro macro
  * tested joint limits modification
  * Contributors: Dave Coleman, G.A. vd. Hoorn, philip 14.04

 -- Felix Exner <exner@fzi.de>  Thu, 29 Dec 2016 00:00:00 -0000

ros-rolling-ur-description (1.1.6-1jammy) jammy; urgency=high

  * unify mesh names
  * add color to avoid default color 'red' for collision meshes
  * use correct DH parameter + colored meshes
  * introducing urdf for ur3 - first draft
  * unify common xacro files
  * remove obsolete urdf files
  * description: add '_joint' suffix to newly introduced joint tags.
    This is more in-line with naming of existing joint tags.
  * description: add ROS-I base and tool0 frames. Fix #49 <https://github.com/ros-industrial/universal_robot/issues/49> and #95 <https://github.com/ros-industrial/universal_robot/issues/95>.
    Note that 'base' is essentially 'base_link' but rotated by 180
    degrees over the Z-axis. This is necessary as the visual and
    collision geometries appear to also have their origins rotated
    180 degrees wrt the real robot.
    'tool0' is similar to 'ee_link', but with its orientation such
    that it coincides with an all-zeros TCP setting on the UR
    controller. Users are expected to attach their own TCP frames
    to this frame, instead of updating it (see also [1]).
    [1] http://wiki.ros.org/Industrial/Tutorials/WorkingWithRosIndustrialRobotSupportPackages#Standardised_links_.2BAC8_frames
  * description: minor whitespace cleanup of UR5 & 10 xacros.
  * regenerate urdf files
  * use PositionJointInterface as hardwareInterface in transmissions - affects simulation only
  * Contributors: gavanderhoorn, ipa-fxm

 -- Felix Exner <exner@fzi.de>  Fri, 01 Apr 2016 00:00:00 -0000

ros-rolling-ur-description (1.0.2-1jammy) jammy; urgency=high



 -- Felix Exner <exner@fzi.de>  Mon, 31 Mar 2014 00:00:00 -0000

ros-rolling-ur-description (1.0.1-1jammy) jammy; urgency=high

  * changes due to file renaming
  * generate urdfs from latest xacros
  * file renaming
  * adapt launch files in order to be able to use normal/limited xacro
  * fixed typo in limits
  * add joint_limited urdf.xacros for both robots
  * (re-)add ee_link for both robots
  * updates for latest gazebo under hydro
  * remove ee_link - as in ur10
  * use same xacro params as ur10
  * use new transmission interfaces
  * update xml namespaces for hydro
  * remove obsolete urdf file
  * remove obsolete urdf file
  * Contributors: ipa-fxm
  * Update ur10.urdf.xacro
    Corrected UR10's urdf to faithfully represent joint effort thresholds, velocity limits, and dynamics parameters.
  * Update ur5.urdf.xacro
    Corrected effort thresholds and friction values for UR5 urdf.
  * added corrected mesh file
  * Added definitions for adding tergets in install folder. Issue #10 <https://github.com/ros-industrial/universal_robot/issues/10>.
  * Corrected warning on xacro-files in hydro.
  * Added definitions for adding tergets in install folder. Issue #10 <https://github.com/ros-industrial/universal_robot/issues/10>.
  * Updated to catkin.  ur_driver's files were added to nested Python directory for including in other packages.
  * fixed name of ur5 transmissions
  * patched gazebo.urdf.xacro to be compatible with gazebo 1.5
  * fixed copy&paste error (?)
  * prefix versions of gazebo and transmission macros
  * Added joint limited urdf and associated moveit package.  The joint limited package is friendlier to the default KLD IK solution
  * Added ur5 moveit library.  The Kinematics used by the ur5 move it library is unreliable and should be replaced with the ur_kinematics
  * Updated urdf files use collision/visual models.
  * Reorganized meshes to include both collision and visual messhes (like other ROS-I robots).  Modified urdf xacro to include new models.  Removed extra robot pedestal link from urdf (urdfs should only include the robot itself).
  * minor changes on ur5 xacro files
  * Removed extra stl files and fixed indentions
  * Renamed packages and new groovy version
  * Added ur10 and renamed packages
  * Contributors: Denis Štogl, IPR-SR2, Kelsey, Mathias Lüdtke, Shaun Edwards, ipa-nhg, jrgnicho, kphawkins, robot

 -- Felix Exner <exner@fzi.de>  Mon, 31 Mar 2014 00:00:00 -0000


